/finance/debitor/list

Retrieves a list of debitors

Retrieves a list of debitors

Base URL
https://<tenant>.dieagenturverwaltung.de/api/v2
Required Security
ApiKeyAuth (Authorization: Session Token)
Produces
application/json

Request

Query Parameters

NameTypeRequiredDescription
account_idintegerNoNo description.
accounting_contact_idarray<integer>NoNo description.
customer_idintegerNoNo description.
fromintegerNoNo description.
job_idintegerNoNo description.
payment_method_idarray<integer>NoNo description.
searchstringNoNo description.
statusenum(in Bearbeitung | wartet auf interne Freigabe | wartet auf Versand | versandt | +3)NoNo description.
untilintegerNoNo description.
cURL
curl -X GET 'https://<tenant>.dieagenturverwaltung.de/api/v2/finance/debitor/list?account_id=123&accounting_contact_id=123' \
  -H 'Accept: application/json' \
  -H 'Authorization: Session Token'

Responses

200List of debitors
array<app.DebitorView>application/json
Example
[
  {
    "accounting_contact": {...},
    "accounting_contact_id": 123,
    "add_estimate_of_cost": "string",
    "address": {...},
    "address_id": 123,
    "agency_service_total": 123.45,
    "akonto": {...},
    "akonto_of": 123,
    "allowance_days": 123,
    "allowance_mode": "none",
    "allowance_percentage": 123.45,
    "allowance_total": 123.45,
    "asset_account": "string",
    "audit_logs": [
      {...}
    ],
    "collapse_position_groups": 0,
    "created_at": 123,
    "custom_fields": [
      {...}
    ],
    "date_document": 123,
    "date_due": 123,
    "date_dunning": 123,
    "date_final_notice": 123,
    "date_payment": 123,
    "date_reminder": 123,
    "description": "string",
    "display_vat_in_positions": true,
    "document_type_label": "string",
    "external": [
      {...}
    ],
    "external_service_total": 123.45,
    "external_services": [
      {...}
    ],
    "foot_note": "string",
    "gross_total": 123.45,
    "head_note": "string",
    "head_note_dunning": "string",
    "head_note_final_notice": "string",
    "head_note_reminder": "string",
    "hide_document_totals": true,
    "hide_external_services": true,
    "hide_group_totals": true,
    "hide_groups": true,
    "hide_position_amount_and_unit": true,
    "hide_position_group_header": true,
    "hide_position_totals": true,
    "hide_position_value_per_unit": true,
    "hide_positions": true,
    "id": 123,
    "identification_code": "string",
    "is_partial_invoice": true,
    "job": {...},
    "job_id": 123,
    "lang": "string",
    "latest_export": {...},
    "markup": 123,
    "markup_label": "string",
    "modified_at": 123,
    "name": "string",
    "net_total": 123.45,
    "organisation": {...},
    "organisation_id": 123,
    "page_break_before_foot_note": true,
    "page_break_before_head_note": true,
    "parent_document_relations": [
      {...}
    ],
    "parent_estimates": [
      {...}
    ],
    "payed_amount_debit": 123.45,
    "payment_method": {...},
    "payment_method_id": 123,
    "payment_status": 123,
    "period_of_performance_end": 123,
    "period_of_performance_start": 123,
    "person": {...},
    "person_id": 123,
    "positions": [
      {...}
    ],
    "print_version_show_period_of_performance": true,
    "recipient_addr1": "string",
    "recipient_addr2": "string",
    "recipient_address": "string",
    "recipient_city": "string",
    "recipient_country_code": "AF",
    "recipient_email": "string",
    "recipient_organisation_name": "string",
    "recipient_person_first_name": "string",
    "recipient_person_last_name": "string",
    "recipient_zip": "string",
    "sepa_mandate_date_of_signature": 123,
    "sepa_mandate_id": "string",
    "show_commissions_in_group": true,
    "show_commissions_in_position": true,
    "show_commissions_in_total": true,
    "show_vat": true,
    "small_job": {...},
    "small_user": {...},
    "stationary": {...},
    "stationary_id": 123,
    "status": "in Bearbeitung",
    "storno": {...},
    "storno_invoices": [
      {...}
    ],
    "storno_of": 123,
    "subscribed_users": [
      {...}
    ],
    "tab_left": "string",
    "tab_right": "string",
    "token": "string",
    "user": {...},
    "user_id": 123,
    "vat": 123.45,
    "vat_id": "string"
  }
]
500Internal Server Error
rest_errors.Errorapplication/json
Example
{
  "code": 123,
  "extras": {...},
  "message": "string",
  "status_code": 123
}